Subject: Re: [Shop-talk] Best paint for concrete block

From: bk13 <[email-masked]>
Date: Thu, 24 May 2012 21:07:56 -0700 (GMT-07:00)

Wayne - I painted my old house - stucco and poured concrete foundation - with BEHR Interior/Exterior Masonry, Stucco and Brick Paint.  It worked well and still looked good 9 years later when we sold the house.  I sprayed it undiluted with a Wagner Power Painter.

Brian

-----Original Message-----
>From: Wayne <[email-masked]>
>Sent: May 24, 2012 11:46 AM
>To: Shop Talk List <[email-masked]>
>Subject: [Shop-talk] Best paint for concrete block
>
>Hi Guys,
>
>My Dad bought a new house recently, with 2 car garage / shop / basement on the lower level.
>
>He wants to paint the concrete block walls for better lighting (reflectivity) and aesthetics. One wall is below grade, but has no signs of any moisture seepage in its 20 years, and the other is above (walk out.)
>
>What's the best kind of paint to use? I am NOT a fan of the "DryLok" stuff, and moisture isn't an issue anyway. Is something like a plain semi-gloss latex a good choice?
>
>-Wayne
>_______________________________________________
>
>[email-masked]
>Donate: http://www.team.net/donate.html
>Suggested annual donation  $12.96
>Archive: http://www.team.net/archive
>Forums: http://www.team.net/forums
>Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]
_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]